> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an institution connection

> Use this endpoint to delete a connection and all of its financial accounts. This will also delete the connection with the service provider used to make the connection, thus stopping any updates for the connection and its financial accounts. Listen for the associated [BANK_LINKING_CONNECTION_DELETED](https://docs.meld.io/docs/webhook-events-bank-linking#bank_linking_connection_deleted)

 webhook for acknowledgement that the connection was deleted.

*Note:* Financial accounts may belong to multiple connections. This can occur if a customer connects to their institution multiple times in separate sessions, either through the same or a different service provider. If a connection is deleted but its financial accounts still belong to another active connection, then they won't be deleted yet. Not until all the connections that a financial account is associated with are deleted, will the financial account then be deleted.

*Note:* In some cases, connections will be deleted before ever calling this endpoint. The aforementioned webhook will notify when this occurs, and calling this endpoint for the connection will no longer be necessary. This can occur if a customer stops granting access to the service provider directly through their institution.

*Note:* Duplicate provider connections occur when the same customer connects to the same institution using the same login credentials through the *same* service provider. In such cases, only the most recently refreshed of these duplicates is actively maintained and the rest are considered inactive. When deleting duplicate connections, all of the inactive duplicates must be deleted prior to deleting the main duplicate. If an attempt is made to delete the active duplicate prior to the inactive duplicates being deleted, then the next most recently aggregated duplicate will become the active one. Only once all duplicates are deleted will this sever the connection with the service provider and cease billing. Duplicate connections made through *different* service providers do not have this restriction, however.



## OpenAPI

````yaml /openapi/banklinking-20260203.json delete /bank-linking/connections/{connectionId}
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/connections/{connectionId}:
    delete:
      tags:
        - Connections
      summary: Delete an institution connection
      description: >-
        Use this endpoint to delete a connection and all of its financial
        accounts. This will also delete the connection with the service provider
        used to make the connection, thus stopping any updates for the
        connection and its financial accounts. Listen for the associated
        [BANK_LINKING_CONNECTION_DELETED](https://docs.meld.io/docs/webhook-events-bank-linking#bank_linking_connection_deleted)

         webhook for acknowledgement that the connection was deleted.

        *Note:* Financial accounts may belong to multiple connections. This can
        occur if a customer connects to their institution multiple times in
        separate sessions, either through the same or a different service
        provider. If a connection is deleted but its financial accounts still
        belong to another active connection, then they won't be deleted yet. Not
        until all the connections that a financial account is associated with
        are deleted, will the financial account then be deleted.


        *Note:* In some cases, connections will be deleted before ever calling
        this endpoint. The aforementioned webhook will notify when this occurs,
        and calling this endpoint for the connection will no longer be
        necessary. This can occur if a customer stops granting access to the
        service provider directly through their institution.


        *Note:* Duplicate provider connections occur when the same customer
        connects to the same institution using the same login credentials
        through the *same* service provider. In such cases, only the most
        recently refreshed of these duplicates is actively maintained and the
        rest are considered inactive. When deleting duplicate connections, all
        of the inactive duplicates must be deleted prior to deleting the main
        duplicate. If an attempt is made to delete the active duplicate prior to
        the inactive duplicates being deleted, then the next most recently
        aggregated duplicate will become the active one. Only once all
        duplicates are deleted will this sever the connection with the service
        provider and cease billing. Duplicate connections made through
        *different* service providers do not have this restriction, however.
      operationId: bank-linking-connections-delete
      parameters:
        - name: connectionId
          in: path
          description: Connection id
          required: true
          schema:
            type: string
            default: ''
      responses:
        '204':
          description: Connection deleted
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Connection cannot be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````